librelist archives

« back to archive

SCSS support, Sinatra 1.1.0, Ruby 1.9.2

SCSS support, Sinatra 1.1.0, Ruby 1.9.2

From:
Graham Ashton
Date:
2010-11-06 @ 19:58
I just upgraded Nesta to Sinatra 1.1.0, which opened the door for support 
for the new default Sass format – SCSS. [1]

To use SCSS just switch the sass() calls to scss() and you should be away.
Standard Sass support isn't going anywhere (I actually prefer it), but 
SCSS may become the default in future (I don't have a strong opinion on 
this, so if you do, please let me know what you think).

Nesta seemed to run okay under Ruby 1.9.2 whenever I fired it up, but the 
tests didn't pass. I've updated all the require statements and path 
manipulation code to use File.expand_path, which works smoothly under 
1.9.2 and earlier. [2]

Cheers,
Graham

[1] https://github.com/gma/nesta/commit/97b561164459447b6f66fdd7b33c36c8d48d9cb3
[2] https://github.com/gma/nesta/commit/d4d4f189eee1ca5b4ac6484c60d8a6c09219d3dd